<?php
namespace Claromentis\OAuth2;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_8ff0c68" . "bbee5fe1" . "9849c7f8" . "2cd0d6a0" . "f" => base64_decode("cmVkaXJl" . "Y3RfdXJp" . "cw=="), "_7f628626dd1d55c71b1fc0932ffd1" . "d2c" => base64_decode("aXNfYX" . "JyYXk="), "_2fcdfa6cef4413005aae9ae3df" . "6426e2" => base64_decode("b2F1dG" . "hfY2xp" . "ZW50cw" . "=="), "_c372545d70ea" . "3c51062f75445" . "d687929" => base64_decode("REVMRVRFIEZST00gb2F1dGhf" . "Y2xpZW50X3JlZGlyZWN0X3Vy" . "aXMgV0hFUkUgY2xpZW50X2lk" . "IGVxOnN0cjpjaWQ="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "_70995c4fd2bccfc9acaf06d844" . "4852c7" => base64_decode("SU5TRVJUIElOVE8gb2F1dGhfY2xpZW50X3JlZGlyZWN0X3VyaXMgKGNsaWVudF9pZCwgcmVkaXJlY3" . "RfdXJpKSBWQUxVRVMgKHN0cjpjaWQsIHN0cjp1KQ=="), "_803d546c35dc6b" . "b74c3cd32b95fca" . "c3e" => base64_decode("U0VMRUNUIHJlZGlyZWN0X3VyaSBGUk9NIG9hdXRoX2NsaWVudF9yZWRpcmVjdF91cmlzIFdIRVJFIGNsaWVudF9pZCBlcTpzdHI6Y" . "2lk"), "_a591754a8ddcdbda9c80f1db4d911" . "e14" => base64_decode("aXNfb" . "nVsbA" . "=="), "na" . "me" => base64_decode("bm" . "Ft" . "ZQ" . "=="), "_653c065ce13fcc898c85e35e3f0" . "ab5bc" => base64_decode("c2Vjcm" . "V0"));
use Claromentis\Core\DAL;
use Claromentis\Core\Services;
use ObjectsStorage;










class Client extends \ActiveRecord
{
    protected $redirect_uris = null;
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2fcdfa6cef" . "4413005aae9" . "ae3df6426e2"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["i" . "d"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["n" . "a" . "m" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_653c065ce13fcc8" . "98c85e35e3f0ab5b" . "c"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function GetRedirectURIs()
    {
        if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a591754a8ddcdbda9c80" . "f1db4d911e14"]($this->redirect_uris)) {
            $db = Services::I()->GetDb();
            $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_803d546" . "c35dc6bb" . "74c3cd32" . "b95fcac3" . "e"], $this->id);
            $this->redirect_uris = $_189840d11056515e52402d1412a0b6e4->fetchAllValues();
        }
        return $this->redirect_uris;
    }
    
    
    
    
    public function SetRedirectURIs($_688eb32b375d969d8f026c11a2cd33ea)
    {
        $this->redirect_uris = $_688eb32b375d969d8f026c11a2cd33ea;
    }
    public function Save()
    {
        if (!parent::Save()) {
            return false;
        }
        if ($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_7f628626dd1d5" . "5c71b1fc0932ff" . "d1d2c"]($this->redirect_uris)) {
            $db = Services::I()->GetDb();
            $_15afa2d452391af5d01076584c0d792a = $this->id;
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c372545d70ea3c51062f75445d6879" . "29"], $_15afa2d452391af5d01076584c0d792a);
            foreach ($this->redirect_uris as $_797ea62e9ab498d38c2781088fc553f6) {
                $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_70995c4fd2bccfc9" . "acaf06d8444852c7"], $_15afa2d452391af5d01076584c0d792a, $_797ea62e9ab498d38c2781088fc553f6);
            }
        }
        return true;
    }
    public function ResetSecret()
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_653c065ce13fcc898c85e35e3" . "f0ab5bc"], \CryptUtils::GetRandomString());
    }
    public static function CreateNew($_24b81fd345b39bff8a1dfa1607826ec3)
    {
        
        
        $client = static::Create([$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["i" . "d"] => \CryptUtils::GetRandomString() . \CryptUtils::GetRandomString(), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_653c065c" . "e13fcc898" . "c85e35e3f" . "0ab5bc"] => \CryptUtils::GetRandomString(), $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["nam" . "e"] => $_24b81fd345b39bff8a1dfa1607826ec3[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["n" . "a" . "m" . "e"]]]);
        $client->SetRedirectURIs($_24b81fd345b39bff8a1dfa1607826ec3[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_8ff0c68bbee5fe1984" . "9c7f82cd0d6a0f"]]);
        return $client;
    }
}